Uploaded image for project: 'Appcelerator Studio'
  1. Appcelerator Studio
  2. TISTUD-6970

Studio should build with the selected SDK if the <sdk-version> tag is missing from tiapp.xml

    Details

    • Type: Improvement
    • Status: Open
    • Priority: None
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      If you import a project that is missing the <sdk-version> tag in its tiapp.xml file, Studio builds with an older SDK version (perhaps the first / oldest installed) rather than the version you've specified with ti sdk select. However, if you open the tiapp.xml, that selected SDK version is used to populate the drop-down list.

      If the tag is missing or contains an invalid version, and if the developer doesn't open & save the tiapp.xml, Studio should build using the selected version rather than the old version.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                kkolipaka Kondal Kolipaka (Inactive)
                Reporter:
                skypanther Tim Poulsen
              • Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated: